package com.lantone.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 申诉审批表 实体类
 * </p>
 */
@Data
@TableName("med_appeal_examine_info")
public class AppealExamineInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 申诉审批id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 申诉id
     */
    @TableField("appeal_info_id")
    private Long appealInfoId;

    /**
     * 审核人id
     */
    @TableField("check_id")
    private Long checkId;

    /**
     * 审核状态：1:驳回|2:通过
     */
    @TableField("example_status")
    private String exampleStatus;

    /**
     * 审核处理方式： 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复
     */
    @TableField("example_operation")
    private String exampleOperation;

    /**
     * 处理结果
     */
    @TableField("process_result")
    private String processResult;

    /**
     * 驳回理由
     */
    @TableField("reject_reason")
    private String rejectReason;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}