package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 用户组织机构树对象
 * </p>
 */
@Data
public class GetHospitalListInfoDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long hospitalId;

    private Long parentId;

    @ApiModelProperty(value = "根目录标志")
    private boolean rootFlag;
    @ApiModelProperty(value = "名称")
    private String hospitalName;
    @ApiModelProperty(value = "是否存在子组织")
    private boolean hasHospitalFlag;
    @ApiModelProperty(value = "该组织是否存在用户")
    private boolean hasUserFlag;
    @ApiModelProperty(value = "状态")
    private String status;
    @ApiModelProperty(value = "状态名称")
    private String statusName;

    @ApiModelProperty(value = "组织类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院 5:科室）")
    private String type;
    @ApiModelProperty(value = "组织类型名称")
    private String typeName;

    @ApiModelProperty(value = "该医院的科室列表")
    private List<GetDeptInfoDTO> depts;

    @ApiModelProperty(value = "该虚拟医院的医院列表")
    private List<GetHospitalListInfoDTO> children;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;
}
