package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 菜单功能DTO
 * </p>
 */
@Data
public class UserMenuResourceTreeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "系统编号编号")
    private Long softwareId;
    @ApiModelProperty(value = "系统名称")
    private String softwareName;
    @ApiModelProperty(value = "菜单编号")
    private Long menuId;
    @ApiModelProperty(value = "父级菜单编号")
    private Long parentId;
    @ApiModelProperty(value = "系统菜单编号")
    private Long softwareMenuId;
    @ApiModelProperty(value = "系统功能权限编号")
    private Long softwareResourceId;

    @ApiModelProperty(value = "菜单名称")
    private String menuName;

    @ApiModelProperty(value = "是否关联")
    private String relation ;
    @ApiModelProperty(value = "类型：0:目录，1菜单，2按钮，3：功能")
    private String menuType ;

    @ApiModelProperty(value = "子集")
    private List<UserMenuResourceTreeDTO> children;
}
