package com.lantone.security.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 组织机构表 实体类
 * </p>
 */
@Data
@TableName("sys_hospital")
public class Hospital implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 父级组织机构id
     */
    @TableField("parent_id")
    private Long parentId;

    /**
     * 组织机构代码
     */
    @TableField("code")
    private String code;

    /**
     * 组织机构名称
     */
    @TableField("name")
    private String name;

    /**
     * 归属区域
     */
    @TableField("region")
    private String region;

    /**
     * 组织机构类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院）
     */
    @TableField("type")
    private String type;

    /**
     * 排序
     */
    @TableField("order_no")
    private String orderNo;

    /**
     * 状态 0：禁用，1：启用
     */
    @TableField("status")
    private String status;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}